unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ComCtrls, swServ;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    bStart: TBitBtn;
    bStop: TBitBtn;
    bClose: TBitBtn;
    Panel2: TPanel;
    Label1: TLabel;
    eDirectory: TEdit;
    Label2: TLabel;
    eDocument: TEdit;
    HostName: TLabel;
    eHostName: TEdit;
    Port: TLabel;
    ePort: TEdit;
    StatusBar2: TStatusBar;
    idServer1: TidServer;
    procedure bCloseClick(Sender: TObject);
    procedure bStartClick(Sender: TObject);
    procedure bStopClick(Sender: TObject);
    procedure idServer1SetLog(Sender: TObject; Msg: string);
    procedure FormCreate(Sender: TObject);
    procedure idServer1VerifPassword(Sender: TObject; FullFileName,
      password: string; var Ok: Boolean);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.bCloseClick(Sender: TObject);
begin
     Close
end;

procedure TForm1.bStartClick(Sender: TObject);
begin
     IdServer1.Hostname := eHostname.text ;
     IdServer1.PortToService := strtoint(ePort.text);
     IdServer1.DefaultDocument := eDocument.text ;
     IdServer1.DocumentRoot := eDirectory.text;
     idServer1.WwwServerStart;
     Memo1.clear;
     memo1.Lines.Add('Server Started');

end;

procedure TForm1.bStopClick(Sender: TObject);
begin
     idServer1.WwwServerStop;
     memo1.Lines.Add('Server Stoped');
end;

procedure TForm1.idServer1SetLog(Sender: TObject; Msg: string);
begin
     memo1.Lines.Add( FormatDateTime( 'mm/dd hh:mm:ss ', Now) + Msg);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     eHostname.text := IdServer1.Hostname;
     ePort.text := inttostr(IdServer1.PortToService);
     eDocument.text := IdServer1.DefaultDocument;
     eDirectory.text := extractfilepath(Application.exename);
end;




procedure TForm1.idServer1VerifPassword(Sender: TObject; FullFileName,
  password: string; var Ok: Boolean);
begin
      Ok := true;
end;

end.
